
From: George Anzinger <george@mvista.com>

This patch eliminates the warning generated in die_nmi() when calling
notify_die() by adding "const" to notify_die()'s definition.

Signed-off-by: George Anzinger <george@mvista.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-i386/kdebug.h |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

diff -puN include/asm-i386/kdebug.h~x86-nmi-better-support-for-debuggers-fix include/asm-i386/kdebug.h
--- devel/include/asm-i386/kdebug.h~x86-nmi-better-support-for-debuggers-fix	2005-08-03 22:28:09.000000000 -0700
+++ devel-akpm/include/asm-i386/kdebug.h	2005-08-03 22:29:03.000000000 -0700
@@ -41,9 +41,16 @@ enum die_val {
 	DIE_PAGE_FAULT,
 };
 
-static inline int notify_die(enum die_val val,char *str,struct pt_regs *regs,long err,int trap, int sig)
+static inline int notify_die(enum die_val val, const char *str,
+			struct pt_regs *regs, long err, int trap, int sig)
 {
-	struct die_args args = { .regs=regs, .str=str, .err=err, .trapnr=trap,.signr=sig };
+	struct die_args args = {
+		.regs = regs,
+		.str = str,
+		.err = err,
+		.trapnr = trap,
+		.signr = sig
+	};
 	return notifier_call_chain(&i386die_chain, val, &args);
 }
 
_
